Heartbleed and Extensis

Share on FacebookTweet about this on TwitterShare on Google+Share on LinkedInPin on PinterestShare on Reddit

heartbleedYou may have recently heard about a bug named Heartbleed in the secure communication OpenSSL software library that could allow others to access the memory of affected systems.

While we do not believe that any of our secure communications have been intercepted, we wanted to let you know that we are committed to protecting the confidentiality of all user data by updating our systems.

How does this affect Extensis Products?

The Heartbleed bug affected none of our installable products. For details, see this knowledge base article.

How does this affect Extensis.com and WebINK.com?

Like the vast majority of other companies, Extensis.com and WebINK.com were using a version of OpenSSL that contained this bug.

As of today, April 10, 2014, Extensis.com and WebINK.com have been fully updated using the new, patched version of the OpenSSL, and new SSL certificates for these sites and services have been re-issued and replaced.

For your best protection, we are working with any third-party services to ensure they are patched and up to date as well.

What can you do?

For optimal security, you may want to change your account password.

To do so:

  1. Navigate to the My Account page and login.
    If you don’t remember your login info, enter your email address and click Reset Password to get a temporary one via email.
  2. Click Edit My Account.
  3. Click Change Password
  4. Enter your old password, new password and click Save Changes.

Further questions

If you have further questions about this issue, please don’t hesitate to contact our customer service team.

Tags: , ,

No Comments »

Leave a Reply

Your email address will not be published. Required fields are marked *